Imports System.Xml

Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim file_name As String = Application.StartupPath
        file_name = file_name.Substring(0, file_name.LastIndexOf("\"))
        file_name = file_name.Substring(0, file_name.LastIndexOf("\"))
        txtXmlFile.Text = file_name & "\Books.xml"
        txtXmlFile.Select(0, 0)
    End Sub

    Private Sub btnLoad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLoad.Click
        ' Load the DOM document.
        Dim doc As New XmlDocument()
        doc.Load(txtXmlFile.Text)

        ' Display the tree's structure.
        txtResult.Text = DisplayXmlNode(doc)
    End Sub

    ' Make a string listing the node's subtree structure.
    Private Function DisplayXmlNode(ByVal xml_node As XmlNode, Optional ByVal indent As Integer = 0) As String
        ' Start with this node's name and value.
        Dim result As String = Space(indent) & _
            xml_node.Name & " (" & xml_node.Value & ")" & vbCrLf

        ' Recursively add the child nodes.
        For Each child As XmlNode In xml_node.ChildNodes
            result &= DisplayXmlNode(child, indent + 4)
        Next child

        ' Return the result.
        Return result
    End Function
End Class
