Imports System.Xml.Serialization
Imports System.IO

Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Make a Person.
        Dim person1 As New Person( _
            "Rod", "Stephens", "2314 Programmer Pl", "Bugsville", _
            "CO", "80123", "303-987-6543")

        ' Serialize the Person.
        Dim xml_serializer As New XmlSerializer(GetType(Person))
        Dim string_writer As New StringWriter()
        xml_serializer.Serialize(string_writer, person1)
        txtSerialization.Text = string_writer.ToString()
        txtSerialization.Select(0, 0)
        string_writer.Dispose()

        ' Deserialize into a new Person.
        Dim string_reader As New StringReader(txtSerialization.Text)
        Dim person2 As Person = _
            DirectCast(xml_serializer.Deserialize(string_reader), Person)
        txtNewPerson.Text = person2.ToString
        string_reader.Dispose()
    End Sub
End Class
