Public MustInherit Class edDrawable
    <Xml.Serialization.XmlAttribute()> _
    Public X1 As Integer

    <Xml.Serialization.XmlAttribute()> _
    Public Y1 As Integer

    <Xml.Serialization.XmlAttribute()> _
    Public X2 As Integer

    <Xml.Serialization.XmlAttribute()> _
    Public Y2 As Integer

    ' Start a new object at this MouseDown position.
    Public Overridable Sub Start(ByVal new_x1 As Integer, ByVal new_y1 As Integer)
        X1 = new_x1
        Y1 = new_y1
    End Sub

    ' Continue the object at this MouseMove position.
    Public Overridable Sub Continue(ByVal new_x2 As Integer, ByVal new_y2 As Integer)
        X2 = new_x2
        Y2 = new_y2
    End Sub

    ' Finish the object at this MouseUp position.
    Public Overridable Sub Finish(ByVal new_x2 As Integer, ByVal new_y2 As Integer)
        X2 = new_x2
        Y2 = new_y2
    End Sub

    ' Draw the object on a Graphics.
    Public MustOverride Sub Draw(ByVal gr As Graphics, Optional ByVal temporary As Boolean = False)
End Class
