Imports System.Math

Public Class edEllipse
    Inherits edDrawable

    Private m_EllipseColor As Color

    Public Overrides Sub Draw(ByVal gr As System.Drawing.Graphics, Optional ByVal temporary As Boolean = False)
        Dim x As Integer = Min(X1, X2)
        Dim y As Integer = Min(Y1, Y2)

        If temporary Then
            Dim temp_pen As New Pen(Color.Red)
            temp_pen.DashStyle = Drawing2D.DashStyle.Custom
            temp_pen.DashPattern = New Single() {8, 8}
            gr.DrawEllipse(temp_pen, _
                x, y, Abs(X1 - X2), Abs(Y1 - Y2))
        Else
            gr.DrawEllipse(Pens.Black, _
                x, y, Abs(X1 - X2), Abs(Y1 - Y2))
        End If
    End Sub
End Class
