Imports System.Xml

Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim file_name As String = Application.StartupPath
        file_name = file_name.Substring(0, file_name.LastIndexOf("\"))
        file_name = file_name.Substring(0, file_name.LastIndexOf("\"))
        txtXmlFile.Text = file_name & "\Topics.xml"
        txtXmlFile.Select(0, 0)
    End Sub

    ' Make and save an XML document.
    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        ' Start with an empty DOM document.
        Dim doc As New XmlDocument()

        ' Add the XML declaration.
        Dim xml_declaration As XmlDeclaration = _
            doc.CreateXmlDeclaration("1.0", "UTF-8", "yes")
        doc.AppendChild(xml_declaration)

        ' Add a root node.
        Dim root As XmlNode = doc.CreateElement("Topics")
        doc.AppendChild(root)

        ' Give the root a Date attribute.
        Dim root_attr As XmlAttribute = doc.CreateAttribute("Date")
        root_attr.Value = "4/24/06"
        root.Attributes.Append(root_attr)

        ' Add three children.
        Dim child1 As XmlNode = doc.CreateElement("XML")
        child1.InnerText = "XML files"
        root.AppendChild(child1)

        Dim child2 As XmlNode = doc.CreateElement("Regex")
        child2.InnerText = "Regular expressions"
        root.AppendChild(child2)

        Dim child3 As XmlNode = doc.CreateElement("Crypto")
        child3.InnerText = "Cryptography"
        root.AppendChild(child3)

        ' Save the DOM document.
        doc.Save(txtXmlFile.Text)

        MessageBox.Show("Done")
    End Sub
End Class
