Imports System.Xml

Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim file_name As String = Application.StartupPath
        file_name = file_name.Substring(0, file_name.LastIndexOf("\"))
        file_name = file_name.Substring(0, file_name.LastIndexOf("\"))
        txtXmlFile.Text = file_name & "\Books.xml"
        txtXmlFile.Select(0, 0)
    End Sub

    Private Sub btnLoad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLoad.Click
        ' Load the DOM document.
        Dim doc As New XmlDocument()
        doc.Load(txtXmlFile.Text)

        ' Search for Book nodes and add them to the list.
        lstBooks.Items.Clear()
        For Each book_node As XmlNode In doc.GetElementsByTagName("Book")
            ' Get a child named Title.
            For Each title_node As XmlNode In book_node.ChildNodes
                ' See if this is a Title.
                If title_node.Name = "Title" Then
                    ' Add the Title node's inner text to the list.
                    lstBooks.Items.Add(title_node.InnerText)
                    Exit For
                End If
            Next title_node
        Next book_node
    End Sub
End Class
