Imports System.Xml

Public Class Form1
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim file_name As String = Application.StartupPath
        file_name = file_name.Substring(0, file_name.LastIndexOf("\"))
        file_name = file_name.Substring(0, file_name.LastIndexOf("\"))
        txtXmlFile.Text = file_name & "\Books.xml"
        txtXmlFile.Select(0, 0)
    End Sub

    ' List the book titles.
    Private Sub btnLoad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLoad.Click
        ' Load the DOM document.
        Dim doc As New XmlDocument()
        doc.Load(txtXmlFile.Text)

        ' Find Title nodes contained in Book nodes
        ' and add them to the list.
        lstBooks.Items.Clear()
        For Each title_node As XmlNode In doc.SelectNodes("//Book/Title")
            lstBooks.Items.Add(title_node.InnerText)
        Next title_node
    End Sub

    ' Display information about the selected book.
    Private Sub lstBooks_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstBooks.SelectedIndexChanged
        If lstBooks.SelectedIndex < 0 Then Exit Sub

        ' Load the DOM document.
        Dim doc As New XmlDocument()
        doc.Load(txtXmlFile.Text)

        ' Find the Book node.
        Dim book_title As String = lstBooks.Text
        Dim query As String = _
            "//Book/Title[. = """ & lstBooks.Text & """]/.."
        Dim book_node As XmlNode = doc.SelectSingleNode(query)

        MessageBox.Show(book_node.InnerXml.Replace("><", ">" & vbCrLf & "<"))
    End Sub
End Class
